Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JEnumConstant

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JField
          com.google.gwt.core.ext.typeinfo.JEnumConstant

All Implemented Interfaces:
  HasAnnotations, HasMetaData

    public class JEnumConstant

extends JField

An enumeration constant declared in an enumerated type.

Constructor Summary
`JEnumConstant(JClassType enclosingType, java.lang.String name, java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations, int ordinal)`

Method Summary
`int` | `getOrdinal()` Returns the ordinal value for this enumeration constant.
`JEnumConstant` | `isEnumConstant()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JField
`addMetaData, addModifierBits, getAnnotation, getEnclosingType, getMetaData, getMetaDataTags, getName, getType, isAnnotationPresent, isDefaultAccess, isFinal, isPrivate, isProtected, isPublic, isStatic, isTransient, isVolatile, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JEnumConstant

    public JEnumConstant(JClassType enclosingType,
                         java.lang.String name,
                         java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations,
                         int ordinal)

Method Detail

### getOrdinal

    public int getOrdinal()

  Returns the ordinal value for this enumeration constant.

  Returns:
    ordinal value for this enumeration constant

### isEnumConstant

    public JEnumConstant isEnumConstant()

  Overrides:
    `isEnumConstant` in class `JField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD